Class | Tk::Vu::Dial
In: | tk/lib/tkextlib/vu/dial.rb
Parent: | TkWindow

define module/class

### Methods

constrain coords get get_label get_tag identify set set_label set_label_constrain set_tag set_tag_constrain

### Constants

TkCommandNames | = | ['::vu::dial'.freeze].freeze
WidgetClassName | = | 'Dial'.freeze

### Public Instance methods

constrain(val = None)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 42
      def constrain(val = None)
        num_or_str(tk_call(@path, 'constrain', val))
      end

coords(val = nil)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 33
      def coords(val = nil)
        if val
          tk_split_list(tk_send_without_enc('coords'))
        else
          tk_send_without_enc('coords', val)
          self
        end
      end

get(*args)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 46
      def get(*args)
        num_or_str(tk_call(@path, 'get', *args))
      end

get_label(val=nil)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 54
      def get_label(val=nil)
        if val
          tk_call(@path, 'label', val)
        else
          ret = []
          lst = simplelist(tk_call(@path, 'label'))
          while lst.size > 0
            ret << ([num_or_str(lst.shift)] << lst.shift)
          end
        end
      end

get_tag(val=nil)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 76
      def get_tag(val=nil)
        if val
          tk_call(@path, 'tag', val)
        else
          ret = []
          lst = simplelist(tk_call(@path, 'tag'))
          while lst.size > 0
            ret << ([num_or_str(lst.shift)] << lst.shift)
          end
        end
      end

identify(x, y)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 50
      def identify(x, y)
        tk_call(@path, 'identify', x, y)
      end

set(val = None)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 98
      def set(val = None)
        tk_call_without_enc(@path, 'set', val)
        self
      end

set_label(val, str, *args)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 66
      def set_label(val, str, *args)
        tk_call(@path, 'label', val, str, *args)
        self
      end

set_label_constrain(val, str, *args)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 71
      def set_label_constrain(val, str, *args)
        tk_call(@path, 'label', '-constrain', val, str, *args)
        self
      end

set_tag(val, str, *args)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 88
      def set_tag(val, str, *args)
        tk_call(@path, 'tag', val, str, *args)
        self
      end

set_tag_constrain(val, str, *args)

[Source]

    # File tk/lib/tkextlib/vu/dial.rb, line 93
      def set_tag_constrain(val, str, *args)
        tk_call(@path, 'tag', '-constrain', val, str, *args)
        self
      end

[Validate]